<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.pay.mapper.PayRequireAttendanceReportMapper">

    <resultMap type="com.ruoyi.pay.domain.PayRequireAttendanceReport" id="PayRequireAttendanceReportResult">
        <result property="id" column="id"/>
        <result property="tenantId" column="tenant_id"/>
        <result property="year" column="year"/>
        <result property="month" column="month"/>
        <result property="employeeId" column="employee_id"/>
        <result property="empName" column="emp_name"/>
        <result property="deptName" column="dept_name"/>
        <result property="restType" column="rest_type"/>
        <result property="requireDays" column="require_days"/>
        <result property="avtiveDays" column="avtive_days"/>
        <result property="attendanceHours" column="attendance_hours"/>
        <result property="overtimeHours" column="overtime_hours"/>
        <result property="holidays" column="holidays"/>
        <result property="holidayHours" column="holiday_hours"/>
        <result property="leaveDays" column="leave_days"/>
        <result property="remark" column="remark"/>
    </resultMap>


</mapper>
